Bug 438089 - Piding coredumps when starting some ICQ dialog
Piding coredumps when starting some ICQ dialog
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-18 18:57 EDT by Zdenek Kabelac
Modified: 2008-04-01 09:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-01 09:14:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2008-03-18 18:57:21 EDT
Description of problem:

Hi - with one of my contacts I can see a complete crash of of pidgin (seems to
be UIN related as with others I don't see such problem)
I've installed debuginfo package (without dependencies)
(have not see this code in current pidgin sources - but most probably releated
to this commit - sources should be updated)

And here is backtrace:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f344e9f2790 (LWP 11964)]
snachandler (od=0xcd90f0, conn=0xd0d010, mod=<value optimized out>,
frame=0xd0d078, snac=0x7fff56a2a7a0, bs=0xd0d080)
    at family_icbm.c:2507
2507			g_free(info->status_note_title);
Missing separate debuginfos, use: debuginfo-install GConf2.x86_64
NetworkManager.x86_64 ORBit2.x86_64 alsa-lib.x86_64 atk.x86_64 audiofile.x86_64
avahi.x86_64 bug-buddy.x86_64 bzip2.x86_64 cairo.x86_64 cyrus-sasl.x86_64
db4.x86_64 dbus-glib.x86_64 dbus.x86_64 e2fsprogs.x86_64 elfutils.x86_64
enchant.x86_64 esound.x86_64 evolution-data-server.x86_64 expat.x86_64
fontconfig.x86_64 freetype.x86_64 gcc.x86_64 glib2.x86_64 gnome-vfs2.x86_64
gstreamer.x86_64 gtk2-engines.x86_64 gtk2.x86_64 gtkspell.x86_64 keyutils.x86_64
krb5.x86_64 libICE.x86_64 libSM.x86_64 libX11.x86_64 libXScrnSaver.x86_64
libXau.x86_64 libXcomposite.x86_64 libXcursor.x86_64 libXdmcp.x86_64
libXext.x86_64 libXfixes.x86_64 libXi.x86_64 libXinerama.x86_64 libXrandr.x86_64
libXrender.x86_64 libbonobo.x86_64 libcap.x86_64 libcroco.x86_64 libgnome.x86_64
libgsf.x86_64 libidn.x86_64 libpng.x86_64 librsvg2.x86_64 libselinux.x86_64
libsilc.x86_64 libxcb.x86_64 libxml2.x86_64 meanwhile.x86_64
nautilus-sendto.x86_64 nspr.x86_64 nss.x86_64 openssl.x86_64 pango.x86_64
pixman.x86_64 popt.x86_64 sqlite.x86_64 startup-notification.x86_64 zlib.x86_64
(gdb) bt
#0  snachandler (od=0xcd90f0, conn=0xd0d010, mod=<value optimized out>,
frame=0xd0d078, snac=0x7fff56a2a7a0, bs=0xd0d080)
    at family_icbm.c:2507
#1  0x00007f34455a6921 in flap_connection_recv_cb (data=0xd0d010, source=<value
optimized out>, cond=<value optimized out>)
    at flap_connection.c:679
#2  0x000000000046799e in pidgin_io_invoke (source=<value optimized out>,
condition=<value optimized out>, data=0xd0c710)
    at gtkeventloop.c:78
#3  0x0000003b9c83747b in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#4  0x0000003b9c83ac5d in ?? () from /lib64/libglib-2.0.so.0
#5  0x0000003b9c83b18d in g_main_loop_run () from /lib64/libglib-2.0.so.0
#6  0x0000003b9ed84668 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#7  0x00000000004801bb in main (argc=1, argv=0x7fff56a2cd88) at gtkmain.c:887
(gdb) print info
$1 = {magic = 5, major_version = 2, minor_version = 4, type =
PURPLE_PLUGIN_STANDARD, ui_requirement = 0x7f34498f5caf "gtk-gaim", 
  flags = 0, dependencies = 0x0, priority = 0, id = 0x7f34498f5cb8
"gtk-iconaway", name = 0x7f34498f5cc5 "Iconify on Away", 
  version = 0x7f34498f5cd5 "2.4.0-1.fc9", 
  summary = 0x7f34498f5cf8 "Iconifies the buddy list and your conversations when
you go away.", 
  description = 0x7f34498f5cf8 "Iconifies the buddy list and your conversations
when you go away.", 
  author = 0x7f34498f5d40 "Eric Warmenhoven <eric@warmenhoven.org>", homepage =
0x7f34498f5ce1 "http://pidgin.im/", 
  load = 0x7f34498f5b50 <plugin_load>, unload = 0, destroy = 0, ui_info = 0x0,
extra_info = 0x0, prefs_info = 0x0, actions = 0, 
  _purple_reserved1 = 0, _purple_reserved2 = 0, _purple_reserved3 = 0,
_purple_reserved4 = 0}
(gdb) print info->status_note_title 
There is no member named status_note_title.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
no coredumps

Additional info:
Comment 1 Stu Tomlinson 2008-03-18 22:11:40 EDT
What plugins do you have loaded?
Comment 2 Zdenek Kabelac 2008-03-19 04:33:58 EDT
Is it really important - the bug in the code is obvious - or do you plan to
close the bug with advice to not use some plugins ??

Anyway here it comes:
Join/Part Hiding
Psychic Mode
I'dle Mak'er
Message Notification

Comment 3 Stu Tomlinson 2008-04-01 09:14:34 EDT
This is fixed in pidgin-2.4.1-2.fc9 (well actually in libpurple-2.4.1-2.fc9)

Note You need to log in before you can comment on or make changes to this bug.